/**
 * @param {import('./config').Config} config
 * @param {import('./internal').TestFile[]} tests
 */
export function applyTestFilters(config: import('./config').Config, tests: import('./internal').TestFile[]): Promise<import("./internal").TestFile[]>;
/**
 * Find nearest `package.json` file
 * @param {string} dir
 * @returns {string | null} Path to package.json or null if not found
 */
export function findPackageJson(dir: string): string | null;
/**
 * Load module via CommonJS or ES Modules depending on the environment
 * @param {string} file
 * @param {"commonjs" | "module"} moduleType
 */
export function importFile(file: string, moduleType: "commonjs" | "module"): Promise<any>;
/**
 * @param {import('./config').Config} config
 * @param {string} globPattern
 * @returns {Promise<import('./internal').TestCase[]>}
 * @private
 */
export function loadTests(config: import('./config').Config, globPattern: string): Promise<import('./internal').TestCase[]>;
