export type PentfOptions = {
    /**
     * Function to call on the loaded configuration, to set/compute default values.
     */
    defaultConfig?: ((config: import('./config').Config) => import('./config').Config) | undefined;
    /**
     * program description in the --help output
     */
    description?: string | undefined;
    /**
     * Root directory (assume tests/ contains tests,
     * config/ if exists contains config)
     */
    rootDir?: string | undefined;
    /**
     * Configuration directory. false disables
     * configuration.
     */
    configDir?: string | undefined;
};
export function main(options: any): void;
