/**
 * Range as array
 * @param {number} count
 */
export function arange(count: number): number[];
/**
 * @deprecated use assert_utils/assertAlways
 */
export function assertAlways(...args: any[]): Promise<void>;
/**
 * @deprecated use assert_utils/assertAsyncEventually
 */
export function assertAsyncEventually(...args: any[]): Promise<any>;
/**
 * @deprecated use assert_utils/assertEventually
 */
export function assertEventually(...args: any[]): Promise<any>;
export function cmp(a: any, b: any): 1 | 0 | -1;
export function cmpKey(key: any): (x: any, y: any) => 1 | 0 | -1;
export function cmpKeys(...keys: any[]): (x: any, y: any) => 1 | 0 | -1;
export function count(ar: any, filter: any): number;
export function filterMap(ar: any, cb: any): any[];
/**
 * Ignore these errors
 * @param {Error} err
 */
export function ignoreError(err: Error): boolean;
/**
 * @param {string} s
 * @returns {boolean}
 */
export function isValidRegex(s: string): boolean;
export function localIso8601(date: any): string;
/**
 * Generate a random email address.
 *
 * @param {{ email: string, _testName?: string }} config The pentf configuration object. `config.email` needs to be set.
 * @param {string?} prefix Text to put before the random characters.
                           If no prefix is specified, the test name is used if available.
 * @returns {string} If `config.email` is `'foo@bar.com'`, something like `foo+prefix129ad12@bar.com`
 */
export function makeRandomEmail(config: {
    email: string;
    _testName?: string;
}, prefix: string | null): string;
/**
 * @template T
 * @param {T} obj
 * @param {Array<keyof T>} keys
 */
export function pluck<T>(obj: T, keys: (keyof T)[]): {};
export function randomHex(): string;
/**
 * Generate a random hex string.
 *
 * @param {number} len Length of the hex string.
 * @return string A random hex string, e.g. `A812F0D91`
 */
export function randomHexstring(len: number): string;
export function range(count: any): Generator<number, void, unknown>;
export function regexEscape(s: any): any;
export function remove(array: any, callback: any): void;
/**
 * Delete n characters at a specific position in a string
 * @param {string} input
 * @param {number} idx
 * @param {number} count
 */
export function removeAt(input: string, idx: number, count: number): string;
export function retry(func: any, waitTimes: any): Promise<any>;
export function timezoneOffsetString(offset: any): string;
/**
 * Returns a promise that resolves after the specified time. This should be used sparingly and mostly for debugging tests.
 *
 * @example
 * ```javascript
 * await wait(10000); // wait for 10s
 * ```
 * @param {number} ms Number of milliseconds to wait.
 */
export function wait(ms: number): Promise<void>;
