/**
 * @param {import('./config').Config} config
 */
export function clearAllLocks(config: import('./config').Config): Promise<void>;
/**
 * @param {import('./config').Config} config
 * @param {string[]} resources
 * @param {number} expireIn
 * @returns {Promise<boolean | any>}
 */
export function externalAcquire(config: import('./config').Config, resources: string[], expireIn: number): Promise<boolean | any>;
/**
 * @param {import('./config').Config} config
 * @returns {Promise<Array<import('./locking').Lock>>}
 */
export function externalList(config: import('./config').Config): Promise<Array<import('./locking').Lock>>;
/**
 * @param {import('./config').Config} config
 * @param {string[]} resources
 * @param {string} [overrideClient]
 * @returns {Promise<true | any>}
 */
export function externalRelease(config: import('./config').Config, resources: string[], overrideClient?: string | undefined): Promise<true | any>;
/**
 * @param {import('./config').Config} state
 * @param {import('./internal').RunnerState} state
 * @private
 */
export function init(config: any, state: import('./config').Config): Promise<void>;
/**
 * @param {import('./config').Config} config
 * @private
 */
export function listLocks(config: import('./config').Config): Promise<void>;
/**
 * @param {import('./config').Config} config
 * @private
 */
export function prepare(config: import('./config').Config): void;
/**
 * @param {import('./config').Config} config
 * @param {import('./internal').RunnerState} state
 * @private
 */
export function shutdown(config: import('./config').Config, state: import('./internal').RunnerState): Promise<void>;
declare function generateClientName({ env, nowStr, }?: {
    env?: NodeJS.ProcessEnv | undefined;
    nowStr?: string | undefined;
}): string;
export { generateClientName as _generateClientName };
